
Redmine - Patch #26534

Allow project bulk edit of time entries

2017-07-26 00:17 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 4.0.0   

Description

This issue follows #588#note-28 and adds the project field to bulk edit mode for time entries.

- Activity field is updated on project change (actually, the entire form is replaced on project change)

- Issue autocomplete is available only for bulk editing of time entries from the same project

- Added the "Clear" checkbox to the issue field.

- Moved the method "bulk_edit_error_messages" from issues_helper to application_helper because now it is used by both entities

(issue and time entry).

Related issues:

Related to Redmine - Feature #588: Move timelog between projects Closed

Has duplicate Redmine - Feature #27879: Does redmine support bulk edit time log? Closed

Associated revisions

Revision 17482 - 2018-09-14 05:40 - Go MAEDA

Allow project bulk edit of time entries (#26534).

Patch by Marius BALTEANU.

History

#1 - 2017-08-24 13:11 - Toshi MARUYAMA

- Target version set to 4.1.0

#2 - 2018-01-03 03:53 - Marius BĂLTEANU

- Has duplicate Feature #27879: Does redmine support bulk edit time log? added

#3 - 2018-01-03 03:57 - Marius BĂLTEANU

- Related to Feature #588: Move timelog between projects added

#4 - 2018-09-13 07:35 - Go MAEDA

- Assignee set to Go MAEDA

#5 - 2018-09-14 05:40 - Go MAEDA

- Status changed from New to Closed

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for improving Redmine.
